1. One-Click & Scheduled Payments
Español
  • Español
  • English
  • Bienvenidos
  • CARD PRESENT PAYMENTS (API RAW) Copy
    • One-time payments
    • Two-step-payments
    • Voids & Refunds
    • Card information
    • Query Transactions
  • Online Payments
    • Card
      • Bin Info
      • Bin Info V2
      • Request deferred options
      • Request a card token
      • Make a charge or deferred charge
      • Create payment (tokenless)
      • Authorize payments
      • Capture an authorized payment
      • Reauthorize payments
      • Void a transaction
      • Refund a transaction
      • Voucher
      • Validate OTP
      • Verify Account
      • Preauthorization (tokenless)
    • One-Click & Scheduled Payments
      • Request a recurring charge token
        POST
      • Update recurring charge card data
        PUT
      • Cancel a recurring charge
        DELETE
      • Update a recurring charge
        PATCH
      • Get recurring charge Info
        GET
      • Create a recurring charge
        POST
      • Authorize payments
        POST
      • Capture an authorized payment
        POST
      • Add a temporary charge or discount
        PUT
      • Make an One-click payment
        POST
    • Card Async
      • Request a card async token
      • Authorize payments
      • Get Status
      • Capture an authorized payment
      • Init Transaction
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Capture an authorized payment
      • Authorize payments
      • Capture an authorized payment
      • Authorize payments
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Init Transaction
      • Request a Transfer In token
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Update a Smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway Status
      • Get gateway status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Payment Button
      • Create a payment button
    • Platform Status
    • Subscription Transactions
  • Schemas
    • extraTaxes
    • Amount-cash-in
    • Amount
    • networkToken
    • currency
    • Metadata
    • documentType
    • Subscription
    • webhooks
    • headers
    • ContactDetails
    • Country
    • Language
    • threeDomainSecure
    • binInfo
    • Deferred
    • SubscriptionUpdate
    • SubscriptionAdjustmentRequest
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. One-Click & Scheduled Payments

Get recurring charge Info

GET
/subscriptions/v1/card/search/{subscriptionId}

This functionality is available for the following models:#

☑ Acquirer
☑ Aggregator
Get the information that belongs to a specific recurring charge.
WARNING
Got a suggestion on this documentation? Contact Us.

Request

Path Params

Header Params

Responses

🟢200
application/json
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-uat.kushkipagos.com/subscriptions/v1/card/search/' \
--header 'Private-Merchant-Id;'
Response Response Example
200 - default
{
    "amount": {
        "subtotalIva0": 10000,
        "ice": 0,
        "currency": "CLP",
        "iva": 0,
        "subtotalIva": 0
    },
    "bin": "545195",
    "cardHolderName": "John Doe",
    "cardType": "CREDIT",
    "contactDetails": {
        "firstName": "John",
        "lastName": "Doe",
        "email": "user@example.com",
        "documentType": "RUT",
        "documentNumber": "11111111-1",
        "phoneNumber": "+56912345678"
    },
    "created": 1574693127,
    "lastFourDigits": "5480",
    "maskedCardNumber": "545195XXXXXX5480",
    "merchantId": "20000000108297093000",
    "metadata": {
        "codeUser": "1",
        "codeCompra": "d93d7a6"
    },
    "paymentBrand": "MASTERCARD",
    "periodicity": "yearly",
    "planName": "Standard",
    "startDate": 1574726400,
    "subscriptionId": "1574693127852000"
}
Modified at 2026-04-16 17:51:05
Previous
Update a recurring charge
Next
Create a recurring charge
Built with